// This file is part of the SV-Benchmarks collection of verification tasks:
// https://gitlab.com/sosy-lab/benchmarking/sv-benchmarks
//
// SPDX-FileCopyrightText: 2023 Levente Bajczi, Department of Measurement and Information Systems, Budapest University of Technology and Economics
//
// SPDX-License-Identifier: Apache-2.0

// Original CHC file: vmt-chc-benchmarks/vmt-SYNAPSE_2_e8_1118_e8_1177_000.smt2
extern void abort ();
extern int __VERIFIER_nondet_int ();
extern _Bool __VERIFIER_nondet__Bool ();
extern void __assert_fail(const char *, const char *, unsigned int, const char *) __attribute__ ((__nothrow__ , __leaf__)) __attribute__ ((__noreturn__));
void reach_error() { __assert_fail("0", "vmt-SYNAPSE_2_e8_1118_e8_1177_000_range.c", 13, "reach_error"); }



int main ();

int
main ()
{
    // return parameter


    // variables
    _Bool state_0;
    _Bool state_1;
    _Bool state_2;
    _Bool state_3;
    _Bool state_4;
    _Bool state_5;
    int state_6;
    int state_7;
    int state_8;
    int state_9;
    int state_10;
    int state_11;
    int state_12;
    int state_13;
    int state_14;
    int state_15;
    int state_16;
    int state_17;
    int state_18;
    int state_19;
    int state_20;
    int state_21;
    int state_22;
    int state_23;
    int state_24;
    int state_25;
    int state_26;
    int state_27;
    int state_28;
    _Bool state_29;
    int state_30;
    int state_31;
    int state_32;
    int state_33;
    _Bool state_34;
    _Bool state_35;
    int state_36;
    int state_37;
    _Bool state_38;
    int state_39;
    _Bool state_40;
    _Bool state_41;
    int state_42;
    _Bool A_0;
    int B_0;
    int C_0;
    _Bool D_0;
    int E_0;
    _Bool F_0;
    int G_0;
    int H_0;
    int I_0;
    int J_0;
    int K_0;
    int L_0;
    _Bool M_0;
    _Bool N_0;
    _Bool O_0;
    _Bool P_0;
    int Q_0;
    int R_0;
    int S_0;
    int T_0;
    _Bool U_0;
    int V_0;
    int W_0;
    int X_0;
    int Y_0;
    int Z_0;
    _Bool A1_0;
    int B1_0;
    int C1_0;
    int D1_0;
    int E1_0;
    int F1_0;
    int G1_0;
    _Bool H1_0;
    int I1_0;
    int J1_0;
    int K1_0;
    _Bool L1_0;
    int M1_0;
    int N1_0;
    int O1_0;
    int P1_0;
    _Bool Q1_0;
    _Bool A_1;
    int B_1;
    int C_1;
    _Bool D_1;
    int E_1;
    _Bool F_1;
    int G_1;
    int H_1;
    int I_1;
    int J_1;
    int K_1;
    int L_1;
    _Bool M_1;
    _Bool N_1;
    _Bool O_1;
    _Bool P_1;
    int Q_1;
    int R_1;
    int S_1;
    int T_1;
    _Bool U_1;
    int V_1;
    int W_1;
    int X_1;
    int Y_1;
    int Z_1;
    _Bool A1_1;
    int B1_1;
    int C1_1;
    int D1_1;
    int E1_1;
    int F1_1;
    int G1_1;
    _Bool H1_1;
    int I1_1;
    int J1_1;
    _Bool K1_1;
    int L1_1;
    int M1_1;
    int N1_1;
    int O1_1;
    int P1_1;
    int Q1_1;
    int R1_1;
    int S1_1;
    _Bool T1_1;
    int U1_1;
    _Bool V1_1;
    int W1_1;
    _Bool X1_1;
    _Bool Y1_1;
    int Z1_1;
    int A2_1;
    int B2_1;
    int C2_1;
    int D2_1;
    int E2_1;
    int F2_1;
    int G2_1;
    int H2_1;
    int I2_1;
    int J2_1;
    int K2_1;
    _Bool L2_1;
    _Bool M2_1;
    _Bool N2_1;
    _Bool O2_1;
    int P2_1;
    int Q2_1;
    int R2_1;
    int S2_1;
    int T2_1;
    _Bool U2_1;
    int V2_1;
    _Bool W2_1;
    int X2_1;
    int Y2_1;
    _Bool Z2_1;
    int A3_1;
    int B3_1;
    _Bool C3_1;
    int D3_1;
    int E3_1;
    int F3_1;
    int G3_1;
    _Bool H3_1;
    _Bool A_2;
    int B_2;
    int C_2;
    _Bool D_2;
    int E_2;
    _Bool F_2;
    int G_2;
    int H_2;
    int I_2;
    int J_2;
    int K_2;
    int L_2;
    _Bool M_2;
    _Bool N_2;
    _Bool O_2;
    _Bool P_2;
    int Q_2;
    int R_2;
    int S_2;
    int T_2;
    _Bool U_2;
    int V_2;
    int W_2;
    int X_2;
    int Y_2;
    int Z_2;
    _Bool A1_2;
    int B1_2;
    int C1_2;
    int D1_2;
    int E1_2;
    int F1_2;
    int G1_2;
    _Bool H1_2;
    int I1_2;
    int J1_2;
    int K1_2;
    _Bool L1_2;
    int M1_2;
    int N1_2;
    int O1_2;
    int P1_2;
    _Bool Q1_2;

    if (((state_6 <= -1000000000) || (state_6 >= 1000000000))
        || ((state_7 <= -1000000000) || (state_7 >= 1000000000))
        || ((state_8 <= -1000000000) || (state_8 >= 1000000000))
        || ((state_9 <= -1000000000) || (state_9 >= 1000000000))
        || ((state_10 <= -1000000000) || (state_10 >= 1000000000))
        || ((state_11 <= -1000000000) || (state_11 >= 1000000000))
        || ((state_12 <= -1000000000) || (state_12 >= 1000000000))
        || ((state_13 <= -1000000000) || (state_13 >= 1000000000))
        || ((state_14 <= -1000000000) || (state_14 >= 1000000000))
        || ((state_15 <= -1000000000) || (state_15 >= 1000000000))
        || ((state_16 <= -1000000000) || (state_16 >= 1000000000))
        || ((state_17 <= -1000000000) || (state_17 >= 1000000000))
        || ((state_18 <= -1000000000) || (state_18 >= 1000000000))
        || ((state_19 <= -1000000000) || (state_19 >= 1000000000))
        || ((state_20 <= -1000000000) || (state_20 >= 1000000000))
        || ((state_21 <= -1000000000) || (state_21 >= 1000000000))
        || ((state_22 <= -1000000000) || (state_22 >= 1000000000))
        || ((state_23 <= -1000000000) || (state_23 >= 1000000000))
        || ((state_24 <= -1000000000) || (state_24 >= 1000000000))
        || ((state_25 <= -1000000000) || (state_25 >= 1000000000))
        || ((state_26 <= -1000000000) || (state_26 >= 1000000000))
        || ((state_27 <= -1000000000) || (state_27 >= 1000000000))
        || ((state_28 <= -1000000000) || (state_28 >= 1000000000))
        || ((state_30 <= -1000000000) || (state_30 >= 1000000000))
        || ((state_31 <= -1000000000) || (state_31 >= 1000000000))
        || ((state_32 <= -1000000000) || (state_32 >= 1000000000))
        || ((state_33 <= -1000000000) || (state_33 >= 1000000000))
        || ((state_36 <= -1000000000) || (state_36 >= 1000000000))
        || ((state_37 <= -1000000000) || (state_37 >= 1000000000))
        || ((state_39 <= -1000000000) || (state_39 >= 1000000000))
        || ((state_42 <= -1000000000) || (state_42 >= 1000000000))
        || ((B_0 <= -1000000000) || (B_0 >= 1000000000))
        || ((C_0 <= -1000000000) || (C_0 >= 1000000000))
        || ((E_0 <= -1000000000) || (E_0 >= 1000000000))
        || ((G_0 <= -1000000000) || (G_0 >= 1000000000))
        || ((H_0 <= -1000000000) || (H_0 >= 1000000000))
        || ((I_0 <= -1000000000) || (I_0 >= 1000000000))
        || ((J_0 <= -1000000000) || (J_0 >= 1000000000))
        || ((K_0 <= -1000000000) || (K_0 >= 1000000000))
        || ((L_0 <= -1000000000) || (L_0 >= 1000000000))
        || ((Q_0 <= -1000000000) || (Q_0 >= 1000000000))
        || ((R_0 <= -1000000000) || (R_0 >= 1000000000))
        || ((S_0 <= -1000000000) || (S_0 >= 1000000000))
        || ((T_0 <= -1000000000) || (T_0 >= 1000000000))
        || ((V_0 <= -1000000000) || (V_0 >= 1000000000))
        || ((W_0 <= -1000000000) || (W_0 >= 1000000000))
        || ((X_0 <= -1000000000) || (X_0 >= 1000000000))
        || ((Y_0 <= -1000000000) || (Y_0 >= 1000000000))
        || ((Z_0 <= -1000000000) || (Z_0 >= 1000000000))
        || ((B1_0 <= -1000000000) || (B1_0 >= 1000000000))
        || ((C1_0 <= -1000000000) || (C1_0 >= 1000000000))
        || ((D1_0 <= -1000000000) || (D1_0 >= 1000000000))
        || ((E1_0 <= -1000000000) || (E1_0 >= 1000000000))
        || ((F1_0 <= -1000000000) || (F1_0 >= 1000000000))
        || ((G1_0 <= -1000000000) || (G1_0 >= 1000000000))
        || ((I1_0 <= -1000000000) || (I1_0 >= 1000000000))
        || ((J1_0 <= -1000000000) || (J1_0 >= 1000000000))
        || ((K1_0 <= -1000000000) || (K1_0 >= 1000000000))
        || ((M1_0 <= -1000000000) || (M1_0 >= 1000000000))
        || ((N1_0 <= -1000000000) || (N1_0 >= 1000000000))
        || ((O1_0 <= -1000000000) || (O1_0 >= 1000000000))
        || ((P1_0 <= -1000000000) || (P1_0 >= 1000000000))
        || ((B_1 <= -1000000000) || (B_1 >= 1000000000))
        || ((C_1 <= -1000000000) || (C_1 >= 1000000000))
        || ((E_1 <= -1000000000) || (E_1 >= 1000000000))
        || ((G_1 <= -1000000000) || (G_1 >= 1000000000))
        || ((H_1 <= -1000000000) || (H_1 >= 1000000000))
        || ((I_1 <= -1000000000) || (I_1 >= 1000000000))
        || ((J_1 <= -1000000000) || (J_1 >= 1000000000))
        || ((K_1 <= -1000000000) || (K_1 >= 1000000000))
        || ((L_1 <= -1000000000) || (L_1 >= 1000000000))
        || ((Q_1 <= -1000000000) || (Q_1 >= 1000000000))
        || ((R_1 <= -1000000000) || (R_1 >= 1000000000))
        || ((S_1 <= -1000000000) || (S_1 >= 1000000000))
        || ((T_1 <= -1000000000) || (T_1 >= 1000000000))
        || ((V_1 <= -1000000000) || (V_1 >= 1000000000))
        || ((W_1 <= -1000000000) || (W_1 >= 1000000000))
        || ((X_1 <= -1000000000) || (X_1 >= 1000000000))
        || ((Y_1 <= -1000000000) || (Y_1 >= 1000000000))
        || ((Z_1 <= -1000000000) || (Z_1 >= 1000000000))
        || ((B1_1 <= -1000000000) || (B1_1 >= 1000000000))
        || ((C1_1 <= -1000000000) || (C1_1 >= 1000000000))
        || ((D1_1 <= -1000000000) || (D1_1 >= 1000000000))
        || ((E1_1 <= -1000000000) || (E1_1 >= 1000000000))
        || ((F1_1 <= -1000000000) || (F1_1 >= 1000000000))
        || ((G1_1 <= -1000000000) || (G1_1 >= 1000000000))
        || ((I1_1 <= -1000000000) || (I1_1 >= 1000000000))
        || ((J1_1 <= -1000000000) || (J1_1 >= 1000000000))
        || ((L1_1 <= -1000000000) || (L1_1 >= 1000000000))
        || ((M1_1 <= -1000000000) || (M1_1 >= 1000000000))
        || ((N1_1 <= -1000000000) || (N1_1 >= 1000000000))
        || ((O1_1 <= -1000000000) || (O1_1 >= 1000000000))
        || ((P1_1 <= -1000000000) || (P1_1 >= 1000000000))
        || ((Q1_1 <= -1000000000) || (Q1_1 >= 1000000000))
        || ((R1_1 <= -1000000000) || (R1_1 >= 1000000000))
        || ((S1_1 <= -1000000000) || (S1_1 >= 1000000000))
        || ((U1_1 <= -1000000000) || (U1_1 >= 1000000000))
        || ((W1_1 <= -1000000000) || (W1_1 >= 1000000000))
        || ((Z1_1 <= -1000000000) || (Z1_1 >= 1000000000))
        || ((A2_1 <= -1000000000) || (A2_1 >= 1000000000))
        || ((B2_1 <= -1000000000) || (B2_1 >= 1000000000))
        || ((C2_1 <= -1000000000) || (C2_1 >= 1000000000))
        || ((D2_1 <= -1000000000) || (D2_1 >= 1000000000))
        || ((E2_1 <= -1000000000) || (E2_1 >= 1000000000))
        || ((F2_1 <= -1000000000) || (F2_1 >= 1000000000))
        || ((G2_1 <= -1000000000) || (G2_1 >= 1000000000))
        || ((H2_1 <= -1000000000) || (H2_1 >= 1000000000))
        || ((I2_1 <= -1000000000) || (I2_1 >= 1000000000))
        || ((J2_1 <= -1000000000) || (J2_1 >= 1000000000))
        || ((K2_1 <= -1000000000) || (K2_1 >= 1000000000))
        || ((P2_1 <= -1000000000) || (P2_1 >= 1000000000))
        || ((Q2_1 <= -1000000000) || (Q2_1 >= 1000000000))
        || ((R2_1 <= -1000000000) || (R2_1 >= 1000000000))
        || ((S2_1 <= -1000000000) || (S2_1 >= 1000000000))
        || ((T2_1 <= -1000000000) || (T2_1 >= 1000000000))
        || ((V2_1 <= -1000000000) || (V2_1 >= 1000000000))
        || ((X2_1 <= -1000000000) || (X2_1 >= 1000000000))
        || ((Y2_1 <= -1000000000) || (Y2_1 >= 1000000000))
        || ((A3_1 <= -1000000000) || (A3_1 >= 1000000000))
        || ((B3_1 <= -1000000000) || (B3_1 >= 1000000000))
        || ((D3_1 <= -1000000000) || (D3_1 >= 1000000000))
        || ((E3_1 <= -1000000000) || (E3_1 >= 1000000000))
        || ((F3_1 <= -1000000000) || (F3_1 >= 1000000000))
        || ((G3_1 <= -1000000000) || (G3_1 >= 1000000000))
        || ((B_2 <= -1000000000) || (B_2 >= 1000000000))
        || ((C_2 <= -1000000000) || (C_2 >= 1000000000))
        || ((E_2 <= -1000000000) || (E_2 >= 1000000000))
        || ((G_2 <= -1000000000) || (G_2 >= 1000000000))
        || ((H_2 <= -1000000000) || (H_2 >= 1000000000))
        || ((I_2 <= -1000000000) || (I_2 >= 1000000000))
        || ((J_2 <= -1000000000) || (J_2 >= 1000000000))
        || ((K_2 <= -1000000000) || (K_2 >= 1000000000))
        || ((L_2 <= -1000000000) || (L_2 >= 1000000000))
        || ((Q_2 <= -1000000000) || (Q_2 >= 1000000000))
        || ((R_2 <= -1000000000) || (R_2 >= 1000000000))
        || ((S_2 <= -1000000000) || (S_2 >= 1000000000))
        || ((T_2 <= -1000000000) || (T_2 >= 1000000000))
        || ((V_2 <= -1000000000) || (V_2 >= 1000000000))
        || ((W_2 <= -1000000000) || (W_2 >= 1000000000))
        || ((X_2 <= -1000000000) || (X_2 >= 1000000000))
        || ((Y_2 <= -1000000000) || (Y_2 >= 1000000000))
        || ((Z_2 <= -1000000000) || (Z_2 >= 1000000000))
        || ((B1_2 <= -1000000000) || (B1_2 >= 1000000000))
        || ((C1_2 <= -1000000000) || (C1_2 >= 1000000000))
        || ((D1_2 <= -1000000000) || (D1_2 >= 1000000000))
        || ((E1_2 <= -1000000000) || (E1_2 >= 1000000000))
        || ((F1_2 <= -1000000000) || (F1_2 >= 1000000000))
        || ((G1_2 <= -1000000000) || (G1_2 >= 1000000000))
        || ((I1_2 <= -1000000000) || (I1_2 >= 1000000000))
        || ((J1_2 <= -1000000000) || (J1_2 >= 1000000000))
        || ((K1_2 <= -1000000000) || (K1_2 >= 1000000000))
        || ((M1_2 <= -1000000000) || (M1_2 >= 1000000000))
        || ((N1_2 <= -1000000000) || (N1_2 >= 1000000000))
        || ((O1_2 <= -1000000000) || (O1_2 >= 1000000000))
        || ((P1_2 <= -1000000000) || (P1_2 >= 1000000000)))
        abort ();

    // main logic
    goto main_init;

  main_init:
    if (!
        ((!((L1_0 && A1_0 && H1_0) == M_0)) && (N_0 == (M_0 && (0 <= G_0)))
         && (N_0 == U_0) && (U_0 == P_0) && (V_0 == Z_0) && (H_0 == G_0)
         && (H_0 == J_0) && (I_0 == R_0) && (J_0 == X_0) && (J_0 == I_0)
         && (K_0 == 0) && (K_0 == T_0) && (L_0 == 0) && (L_0 == V_0)
         && (R_0 == Q_0) && (T_0 == S_0) && ((!H1_0) || (Y_0 == I1_0))
         && ((Y_0 == N1_0) || H1_0) && ((!H1_0) || (E1_0 == E_0))
         && ((E1_0 == K1_0) || H1_0) && ((!H1_0) || (G1_0 == C_0))
         && ((G1_0 == P1_0) || H1_0) && ((!A1_0) || (F1_0 == B_0)) && ((!A1_0)
                                                                       ||
                                                                       (D1_0
                                                                        ==
                                                                        C1_0))
         && ((!A1_0) || (W_0 == B1_0)) && ((Y_0 == W_0) || A1_0)
         && ((E1_0 == D1_0) || A1_0) && ((G1_0 == F1_0) || A1_0) && ((!F_0)
                                                                     || (O1_0
                                                                         ==
                                                                         1))
         && ((!F_0) || (J1_0 == 0)) && ((!D_0) || (E_0 == 0)) && ((!D_0)
                                                                  || (C_0 ==
                                                                      1))
         && ((!A_0) || (B_0 == 0)) && ((!L1_0) || (P1_0 == O1_0)) && ((!L1_0)
                                                                      || (N1_0
                                                                          ==
                                                                          M1_0))
         && ((!L1_0) || (K1_0 == J1_0)) && Q1_0 && ((Q1_0 || (!P_0)) == O_0)))
        abort ();
    state_0 = N_0;
    state_1 = U_0;
    state_2 = H1_0;
    state_3 = A1_0;
    state_4 = L1_0;
    state_5 = M_0;
    state_6 = H_0;
    state_7 = J_0;
    state_8 = L_0;
    state_9 = V_0;
    state_10 = K_0;
    state_11 = T_0;
    state_12 = I_0;
    state_13 = R_0;
    state_14 = G1_0;
    state_15 = P1_0;
    state_16 = C_0;
    state_17 = E1_0;
    state_18 = K1_0;
    state_19 = E_0;
    state_20 = Y_0;
    state_21 = I1_0;
    state_22 = N1_0;
    state_23 = F1_0;
    state_24 = B_0;
    state_25 = D1_0;
    state_26 = C1_0;
    state_27 = W_0;
    state_28 = B1_0;
    state_29 = P_0;
    state_30 = X_0;
    state_31 = Z_0;
    state_32 = S_0;
    state_33 = Q_0;
    state_34 = Q1_0;
    state_35 = O_0;
    state_36 = G_0;
    state_37 = J1_0;
    state_38 = F_0;
    state_39 = O1_0;
    state_40 = D_0;
    state_41 = A_0;
    state_42 = M1_0;
    Q1_1 = __VERIFIER_nondet_int ();
    if (((Q1_1 <= -1000000000) || (Q1_1 >= 1000000000)))
        abort ();
    Q2_1 = __VERIFIER_nondet_int ();
    if (((Q2_1 <= -1000000000) || (Q2_1 >= 1000000000)))
        abort ();
    M1_1 = __VERIFIER_nondet_int ();
    if (((M1_1 <= -1000000000) || (M1_1 >= 1000000000)))
        abort ();
    M2_1 = __VERIFIER_nondet__Bool ();
    I2_1 = __VERIFIER_nondet_int ();
    if (((I2_1 <= -1000000000) || (I2_1 >= 1000000000)))
        abort ();
    E2_1 = __VERIFIER_nondet_int ();
    if (((E2_1 <= -1000000000) || (E2_1 >= 1000000000)))
        abort ();
    A2_1 = __VERIFIER_nondet_int ();
    if (((A2_1 <= -1000000000) || (A2_1 >= 1000000000)))
        abort ();
    Z1_1 = __VERIFIER_nondet_int ();
    if (((Z1_1 <= -1000000000) || (Z1_1 >= 1000000000)))
        abort ();
    Z2_1 = __VERIFIER_nondet__Bool ();
    V1_1 = __VERIFIER_nondet__Bool ();
    V2_1 = __VERIFIER_nondet_int ();
    if (((V2_1 <= -1000000000) || (V2_1 >= 1000000000)))
        abort ();
    R1_1 = __VERIFIER_nondet_int ();
    if (((R1_1 <= -1000000000) || (R1_1 >= 1000000000)))
        abort ();
    R2_1 = __VERIFIER_nondet_int ();
    if (((R2_1 <= -1000000000) || (R2_1 >= 1000000000)))
        abort ();
    N1_1 = __VERIFIER_nondet_int ();
    if (((N1_1 <= -1000000000) || (N1_1 >= 1000000000)))
        abort ();
    N2_1 = __VERIFIER_nondet__Bool ();
    J1_1 = __VERIFIER_nondet_int ();
    if (((J1_1 <= -1000000000) || (J1_1 >= 1000000000)))
        abort ();
    J2_1 = __VERIFIER_nondet_int ();
    if (((J2_1 <= -1000000000) || (J2_1 >= 1000000000)))
        abort ();
    F2_1 = __VERIFIER_nondet_int ();
    if (((F2_1 <= -1000000000) || (F2_1 >= 1000000000)))
        abort ();
    B2_1 = __VERIFIER_nondet_int ();
    if (((B2_1 <= -1000000000) || (B2_1 >= 1000000000)))
        abort ();
    W1_1 = __VERIFIER_nondet_int ();
    if (((W1_1 <= -1000000000) || (W1_1 >= 1000000000)))
        abort ();
    W2_1 = __VERIFIER_nondet__Bool ();
    S1_1 = __VERIFIER_nondet_int ();
    if (((S1_1 <= -1000000000) || (S1_1 >= 1000000000)))
        abort ();
    S2_1 = __VERIFIER_nondet_int ();
    if (((S2_1 <= -1000000000) || (S2_1 >= 1000000000)))
        abort ();
    O1_1 = __VERIFIER_nondet_int ();
    if (((O1_1 <= -1000000000) || (O1_1 >= 1000000000)))
        abort ();
    O2_1 = __VERIFIER_nondet__Bool ();
    K1_1 = __VERIFIER_nondet__Bool ();
    K2_1 = __VERIFIER_nondet_int ();
    if (((K2_1 <= -1000000000) || (K2_1 >= 1000000000)))
        abort ();
    G2_1 = __VERIFIER_nondet_int ();
    if (((G2_1 <= -1000000000) || (G2_1 >= 1000000000)))
        abort ();
    C2_1 = __VERIFIER_nondet_int ();
    if (((C2_1 <= -1000000000) || (C2_1 >= 1000000000)))
        abort ();
    X1_1 = __VERIFIER_nondet__Bool ();
    X2_1 = __VERIFIER_nondet_int ();
    if (((X2_1 <= -1000000000) || (X2_1 >= 1000000000)))
        abort ();
    T1_1 = __VERIFIER_nondet__Bool ();
    T2_1 = __VERIFIER_nondet_int ();
    if (((T2_1 <= -1000000000) || (T2_1 >= 1000000000)))
        abort ();
    P1_1 = __VERIFIER_nondet_int ();
    if (((P1_1 <= -1000000000) || (P1_1 >= 1000000000)))
        abort ();
    P2_1 = __VERIFIER_nondet_int ();
    if (((P2_1 <= -1000000000) || (P2_1 >= 1000000000)))
        abort ();
    L1_1 = __VERIFIER_nondet_int ();
    if (((L1_1 <= -1000000000) || (L1_1 >= 1000000000)))
        abort ();
    L2_1 = __VERIFIER_nondet__Bool ();
    H2_1 = __VERIFIER_nondet_int ();
    if (((H2_1 <= -1000000000) || (H2_1 >= 1000000000)))
        abort ();
    D2_1 = __VERIFIER_nondet_int ();
    if (((D2_1 <= -1000000000) || (D2_1 >= 1000000000)))
        abort ();
    Y1_1 = __VERIFIER_nondet__Bool ();
    Y2_1 = __VERIFIER_nondet_int ();
    if (((Y2_1 <= -1000000000) || (Y2_1 >= 1000000000)))
        abort ();
    U1_1 = __VERIFIER_nondet_int ();
    if (((U1_1 <= -1000000000) || (U1_1 >= 1000000000)))
        abort ();
    U2_1 = __VERIFIER_nondet__Bool ();
    N_1 = state_0;
    U_1 = state_1;
    H1_1 = state_2;
    A1_1 = state_3;
    C3_1 = state_4;
    M_1 = state_5;
    H_1 = state_6;
    J_1 = state_7;
    L_1 = state_8;
    V_1 = state_9;
    K_1 = state_10;
    T_1 = state_11;
    I_1 = state_12;
    R_1 = state_13;
    G1_1 = state_14;
    G3_1 = state_15;
    C_1 = state_16;
    E1_1 = state_17;
    B3_1 = state_18;
    E_1 = state_19;
    Y_1 = state_20;
    I1_1 = state_21;
    E3_1 = state_22;
    F1_1 = state_23;
    B_1 = state_24;
    D1_1 = state_25;
    C1_1 = state_26;
    W_1 = state_27;
    B1_1 = state_28;
    P_1 = state_29;
    X_1 = state_30;
    Z_1 = state_31;
    S_1 = state_32;
    Q_1 = state_33;
    H3_1 = state_34;
    O_1 = state_35;
    G_1 = state_36;
    A3_1 = state_37;
    F_1 = state_38;
    F3_1 = state_39;
    D_1 = state_40;
    A_1 = state_41;
    D3_1 = state_42;
    if (!
        (((1 <= R_1) == V1_1) && ((1 <= R_1) == Y1_1)
         && (((!O2_1) || T1_1) == N2_1) && (((!P_1) || H3_1) == O_1)
         && (!((Z2_1 && W2_1 && K1_1) == L2_1))
         && (!((A1_1 && H1_1 && C3_1) == M_1))
         && (T1_1 ==
             ((Z_1 + S_1 + Q_1 + (-1 * S1_1) + (-1 * R1_1) + (-1 * Q1_1)) ==
              0)) && (M2_1 == (U_1 && L2_1 && (0 <= K2_1))) && (U2_1 == M2_1)
         && (U2_1 == O2_1) && (U_1 == P_1) && (N_1 == U_1) && (F2_1 == E2_1)
         && (H2_1 == G2_1) && (J2_1 == I2_1) && (P2_1 == Q1_1)
         && (P2_1 == F2_1) && (Q2_1 == R1_1) && (Q2_1 == H2_1)
         && (R2_1 == S1_1) && (R2_1 == J2_1) && (T2_1 == D2_1)
         && (T2_1 == S2_1) && (V_1 == Z_1) && (T_1 == S_1) && (R_1 == Q_1)
         && (L_1 == V_1) && (K_1 == T_1) && (J_1 == D2_1) && (J_1 == X_1)
         && (I_1 == R_1) && (H_1 == J_1) && ((!K1_1) || (J1_1 == L1_1))
         && ((!K1_1) || (N1_1 == M1_1)) && ((!K1_1) || (P1_1 == O1_1))
         && (K1_1 || (V_1 == P1_1)) && (K1_1 || (T_1 == N1_1)) && (K1_1
                                                                   || (R_1 ==
                                                                       J1_1))
         && ((!V1_1) || ((V_1 + R_1 + (-1 * U1_1)) == 1)) && ((!V1_1)
                                                              ||
                                                              ((T_1 +
                                                                (-1 *
                                                                 Z1_1)) ==
                                                               -1))
         && ((!V1_1) || (C2_1 == 0)) && (V1_1 || (V_1 == C2_1)) && (V1_1
                                                                    || (T_1 ==
                                                                        Z1_1))
         && (V1_1 || (R_1 == U1_1)) && ((!X1_1)
                                        || ((V_1 + T_1 + R_1 + (-1 * W1_1)) ==
                                            1)) && ((!X1_1) || (A2_1 == 0))
         && ((!X1_1) || (B2_1 == 1)) && (X1_1 || (V_1 == B2_1)) && (X1_1
                                                                    || (T_1 ==
                                                                        A2_1))
         && (X1_1 || (R_1 == W1_1)) && ((!Y1_1)
                                        || ((V_1 + T_1 + R_1 + (-1 * L1_1)) ==
                                            1)) && ((!Y1_1) || (M1_1 == 0))
         && ((!Y1_1) || (O1_1 == 1)) && (Y1_1 || (V_1 == O1_1)) && (Y1_1
                                                                    || (T_1 ==
                                                                        M1_1))
         && (Y1_1 || (R_1 == L1_1)) && ((!W2_1) || (U1_1 == E2_1)) && ((!W2_1)
                                                                       ||
                                                                       (G2_1
                                                                        ==
                                                                        Z1_1))
         && ((!W2_1) || (I2_1 == C2_1)) && (W2_1 || (V2_1 == E2_1)) && (W2_1
                                                                        ||
                                                                        (X2_1
                                                                         ==
                                                                         G2_1))
         && (W2_1 || (Y2_1 == I2_1)) && (Z2_1 || (N1_1 == X2_1)) && (Z2_1
                                                                     || (P1_1
                                                                         ==
                                                                         Y2_1))
         && ((!Z2_1) || (W1_1 == V2_1)) && (Z2_1 || (V2_1 == J1_1))
         && ((!Z2_1) || (X2_1 == A2_1)) && ((!Z2_1) || (Y2_1 == B2_1))
         && (H1_1 || (G1_1 == G3_1)) && ((!H1_1) || (G1_1 == C_1)) && (H1_1
                                                                       ||
                                                                       (E1_1
                                                                        ==
                                                                        B3_1))
         && ((!H1_1) || (E1_1 == E_1)) && (H1_1 || (Y_1 == E3_1)) && ((!H1_1)
                                                                      || (Y_1
                                                                          ==
                                                                          I1_1))
         && (A1_1 || (G1_1 == F1_1)) && ((!A1_1) || (F1_1 == B_1)) && (A1_1
                                                                       ||
                                                                       (E1_1
                                                                        ==
                                                                        D1_1))
         && ((!A1_1) || (D1_1 == C1_1)) && (A1_1 || (Y_1 == W_1)) && ((!A1_1)
                                                                      || (W_1
                                                                          ==
                                                                          B1_1))
         && ((1 <= T_1) == X1_1)))
        abort ();
    state_0 = M2_1;
    state_1 = U2_1;
    state_2 = Z2_1;
    state_3 = W2_1;
    state_4 = K1_1;
    state_5 = L2_1;
    state_6 = D2_1;
    state_7 = T2_1;
    state_8 = J2_1;
    state_9 = R2_1;
    state_10 = H2_1;
    state_11 = Q2_1;
    state_12 = F2_1;
    state_13 = P2_1;
    state_14 = Y2_1;
    state_15 = P1_1;
    state_16 = B2_1;
    state_17 = X2_1;
    state_18 = N1_1;
    state_19 = A2_1;
    state_20 = V2_1;
    state_21 = W1_1;
    state_22 = J1_1;
    state_23 = I2_1;
    state_24 = C2_1;
    state_25 = G2_1;
    state_26 = Z1_1;
    state_27 = E2_1;
    state_28 = U1_1;
    state_29 = O2_1;
    state_30 = S2_1;
    state_31 = S1_1;
    state_32 = R1_1;
    state_33 = Q1_1;
    state_34 = T1_1;
    state_35 = N2_1;
    state_36 = K2_1;
    state_37 = M1_1;
    state_38 = Y1_1;
    state_39 = O1_1;
    state_40 = X1_1;
    state_41 = V1_1;
    state_42 = L1_1;
    goto state_0;
  main_error:
    reach_error ();
  main_final:
    goto main_final;
  state_0:
    switch (__VERIFIER_nondet__Bool ())
      {
      case 0:
          N_2 = state_0;
          U_2 = state_1;
          H1_2 = state_2;
          A1_2 = state_3;
          L1_2 = state_4;
          M_2 = state_5;
          H_2 = state_6;
          J_2 = state_7;
          L_2 = state_8;
          V_2 = state_9;
          K_2 = state_10;
          T_2 = state_11;
          I_2 = state_12;
          R_2 = state_13;
          G1_2 = state_14;
          P1_2 = state_15;
          C_2 = state_16;
          E1_2 = state_17;
          K1_2 = state_18;
          E_2 = state_19;
          Y_2 = state_20;
          I1_2 = state_21;
          N1_2 = state_22;
          F1_2 = state_23;
          B_2 = state_24;
          D1_2 = state_25;
          C1_2 = state_26;
          W_2 = state_27;
          B1_2 = state_28;
          P_2 = state_29;
          X_2 = state_30;
          Z_2 = state_31;
          S_2 = state_32;
          Q_2 = state_33;
          Q1_2 = state_34;
          O_2 = state_35;
          G_2 = state_36;
          J1_2 = state_37;
          F_2 = state_38;
          O1_2 = state_39;
          D_2 = state_40;
          A_2 = state_41;
          M1_2 = state_42;
          if (!(!O_2))
              abort ();
          goto main_error;

      case 1:
          Q1_1 = __VERIFIER_nondet_int ();
          if (((Q1_1 <= -1000000000) || (Q1_1 >= 1000000000)))
              abort ();
          Q2_1 = __VERIFIER_nondet_int ();
          if (((Q2_1 <= -1000000000) || (Q2_1 >= 1000000000)))
              abort ();
          M1_1 = __VERIFIER_nondet_int ();
          if (((M1_1 <= -1000000000) || (M1_1 >= 1000000000)))
              abort ();
          M2_1 = __VERIFIER_nondet__Bool ();
          I2_1 = __VERIFIER_nondet_int ();
          if (((I2_1 <= -1000000000) || (I2_1 >= 1000000000)))
              abort ();
          E2_1 = __VERIFIER_nondet_int ();
          if (((E2_1 <= -1000000000) || (E2_1 >= 1000000000)))
              abort ();
          A2_1 = __VERIFIER_nondet_int ();
          if (((A2_1 <= -1000000000) || (A2_1 >= 1000000000)))
              abort ();
          Z1_1 = __VERIFIER_nondet_int ();
          if (((Z1_1 <= -1000000000) || (Z1_1 >= 1000000000)))
              abort ();
          Z2_1 = __VERIFIER_nondet__Bool ();
          V1_1 = __VERIFIER_nondet__Bool ();
          V2_1 = __VERIFIER_nondet_int ();
          if (((V2_1 <= -1000000000) || (V2_1 >= 1000000000)))
              abort ();
          R1_1 = __VERIFIER_nondet_int ();
          if (((R1_1 <= -1000000000) || (R1_1 >= 1000000000)))
              abort ();
          R2_1 = __VERIFIER_nondet_int ();
          if (((R2_1 <= -1000000000) || (R2_1 >= 1000000000)))
              abort ();
          N1_1 = __VERIFIER_nondet_int ();
          if (((N1_1 <= -1000000000) || (N1_1 >= 1000000000)))
              abort ();
          N2_1 = __VERIFIER_nondet__Bool ();
          J1_1 = __VERIFIER_nondet_int ();
          if (((J1_1 <= -1000000000) || (J1_1 >= 1000000000)))
              abort ();
          J2_1 = __VERIFIER_nondet_int ();
          if (((J2_1 <= -1000000000) || (J2_1 >= 1000000000)))
              abort ();
          F2_1 = __VERIFIER_nondet_int ();
          if (((F2_1 <= -1000000000) || (F2_1 >= 1000000000)))
              abort ();
          B2_1 = __VERIFIER_nondet_int ();
          if (((B2_1 <= -1000000000) || (B2_1 >= 1000000000)))
              abort ();
          W1_1 = __VERIFIER_nondet_int ();
          if (((W1_1 <= -1000000000) || (W1_1 >= 1000000000)))
              abort ();
          W2_1 = __VERIFIER_nondet__Bool ();
          S1_1 = __VERIFIER_nondet_int ();
          if (((S1_1 <= -1000000000) || (S1_1 >= 1000000000)))
              abort ();
          S2_1 = __VERIFIER_nondet_int ();
          if (((S2_1 <= -1000000000) || (S2_1 >= 1000000000)))
              abort ();
          O1_1 = __VERIFIER_nondet_int ();
          if (((O1_1 <= -1000000000) || (O1_1 >= 1000000000)))
              abort ();
          O2_1 = __VERIFIER_nondet__Bool ();
          K1_1 = __VERIFIER_nondet__Bool ();
          K2_1 = __VERIFIER_nondet_int ();
          if (((K2_1 <= -1000000000) || (K2_1 >= 1000000000)))
              abort ();
          G2_1 = __VERIFIER_nondet_int ();
          if (((G2_1 <= -1000000000) || (G2_1 >= 1000000000)))
              abort ();
          C2_1 = __VERIFIER_nondet_int ();
          if (((C2_1 <= -1000000000) || (C2_1 >= 1000000000)))
              abort ();
          X1_1 = __VERIFIER_nondet__Bool ();
          X2_1 = __VERIFIER_nondet_int ();
          if (((X2_1 <= -1000000000) || (X2_1 >= 1000000000)))
              abort ();
          T1_1 = __VERIFIER_nondet__Bool ();
          T2_1 = __VERIFIER_nondet_int ();
          if (((T2_1 <= -1000000000) || (T2_1 >= 1000000000)))
              abort ();
          P1_1 = __VERIFIER_nondet_int ();
          if (((P1_1 <= -1000000000) || (P1_1 >= 1000000000)))
              abort ();
          P2_1 = __VERIFIER_nondet_int ();
          if (((P2_1 <= -1000000000) || (P2_1 >= 1000000000)))
              abort ();
          L1_1 = __VERIFIER_nondet_int ();
          if (((L1_1 <= -1000000000) || (L1_1 >= 1000000000)))
              abort ();
          L2_1 = __VERIFIER_nondet__Bool ();
          H2_1 = __VERIFIER_nondet_int ();
          if (((H2_1 <= -1000000000) || (H2_1 >= 1000000000)))
              abort ();
          D2_1 = __VERIFIER_nondet_int ();
          if (((D2_1 <= -1000000000) || (D2_1 >= 1000000000)))
              abort ();
          Y1_1 = __VERIFIER_nondet__Bool ();
          Y2_1 = __VERIFIER_nondet_int ();
          if (((Y2_1 <= -1000000000) || (Y2_1 >= 1000000000)))
              abort ();
          U1_1 = __VERIFIER_nondet_int ();
          if (((U1_1 <= -1000000000) || (U1_1 >= 1000000000)))
              abort ();
          U2_1 = __VERIFIER_nondet__Bool ();
          N_1 = state_0;
          U_1 = state_1;
          H1_1 = state_2;
          A1_1 = state_3;
          C3_1 = state_4;
          M_1 = state_5;
          H_1 = state_6;
          J_1 = state_7;
          L_1 = state_8;
          V_1 = state_9;
          K_1 = state_10;
          T_1 = state_11;
          I_1 = state_12;
          R_1 = state_13;
          G1_1 = state_14;
          G3_1 = state_15;
          C_1 = state_16;
          E1_1 = state_17;
          B3_1 = state_18;
          E_1 = state_19;
          Y_1 = state_20;
          I1_1 = state_21;
          E3_1 = state_22;
          F1_1 = state_23;
          B_1 = state_24;
          D1_1 = state_25;
          C1_1 = state_26;
          W_1 = state_27;
          B1_1 = state_28;
          P_1 = state_29;
          X_1 = state_30;
          Z_1 = state_31;
          S_1 = state_32;
          Q_1 = state_33;
          H3_1 = state_34;
          O_1 = state_35;
          G_1 = state_36;
          A3_1 = state_37;
          F_1 = state_38;
          F3_1 = state_39;
          D_1 = state_40;
          A_1 = state_41;
          D3_1 = state_42;
          if (!
              (((1 <= R_1) == V1_1) && ((1 <= R_1) == Y1_1)
               && (((!O2_1) || T1_1) == N2_1) && (((!P_1) || H3_1) == O_1)
               && (!((Z2_1 && W2_1 && K1_1) == L2_1))
               && (!((A1_1 && H1_1 && C3_1) == M_1))
               && (T1_1 ==
                   ((Z_1 + S_1 + Q_1 + (-1 * S1_1) + (-1 * R1_1) +
                     (-1 * Q1_1)) == 0)) && (M2_1 == (U_1 && L2_1
                                                      && (0 <= K2_1)))
               && (U2_1 == M2_1) && (U2_1 == O2_1) && (U_1 == P_1)
               && (N_1 == U_1) && (F2_1 == E2_1) && (H2_1 == G2_1)
               && (J2_1 == I2_1) && (P2_1 == Q1_1) && (P2_1 == F2_1)
               && (Q2_1 == R1_1) && (Q2_1 == H2_1) && (R2_1 == S1_1)
               && (R2_1 == J2_1) && (T2_1 == D2_1) && (T2_1 == S2_1)
               && (V_1 == Z_1) && (T_1 == S_1) && (R_1 == Q_1) && (L_1 == V_1)
               && (K_1 == T_1) && (J_1 == D2_1) && (J_1 == X_1)
               && (I_1 == R_1) && (H_1 == J_1) && ((!K1_1) || (J1_1 == L1_1))
               && ((!K1_1) || (N1_1 == M1_1)) && ((!K1_1) || (P1_1 == O1_1))
               && (K1_1 || (V_1 == P1_1)) && (K1_1 || (T_1 == N1_1)) && (K1_1
                                                                         ||
                                                                         (R_1
                                                                          ==
                                                                          J1_1))
               && ((!V1_1) || ((V_1 + R_1 + (-1 * U1_1)) == 1)) && ((!V1_1)
                                                                    ||
                                                                    ((T_1 +
                                                                      (-1 *
                                                                       Z1_1))
                                                                     == -1))
               && ((!V1_1) || (C2_1 == 0)) && (V1_1 || (V_1 == C2_1)) && (V1_1
                                                                          ||
                                                                          (T_1
                                                                           ==
                                                                           Z1_1))
               && (V1_1 || (R_1 == U1_1)) && ((!X1_1)
                                              ||
                                              ((V_1 + T_1 + R_1 +
                                                (-1 * W1_1)) == 1))
               && ((!X1_1) || (A2_1 == 0)) && ((!X1_1) || (B2_1 == 1))
               && (X1_1 || (V_1 == B2_1)) && (X1_1 || (T_1 == A2_1)) && (X1_1
                                                                         ||
                                                                         (R_1
                                                                          ==
                                                                          W1_1))
               && ((!Y1_1) || ((V_1 + T_1 + R_1 + (-1 * L1_1)) == 1))
               && ((!Y1_1) || (M1_1 == 0)) && ((!Y1_1) || (O1_1 == 1))
               && (Y1_1 || (V_1 == O1_1)) && (Y1_1 || (T_1 == M1_1)) && (Y1_1
                                                                         ||
                                                                         (R_1
                                                                          ==
                                                                          L1_1))
               && ((!W2_1) || (U1_1 == E2_1)) && ((!W2_1) || (G2_1 == Z1_1))
               && ((!W2_1) || (I2_1 == C2_1)) && (W2_1 || (V2_1 == E2_1))
               && (W2_1 || (X2_1 == G2_1)) && (W2_1 || (Y2_1 == I2_1))
               && (Z2_1 || (N1_1 == X2_1)) && (Z2_1 || (P1_1 == Y2_1))
               && ((!Z2_1) || (W1_1 == V2_1)) && (Z2_1 || (V2_1 == J1_1))
               && ((!Z2_1) || (X2_1 == A2_1)) && ((!Z2_1) || (Y2_1 == B2_1))
               && (H1_1 || (G1_1 == G3_1)) && ((!H1_1) || (G1_1 == C_1))
               && (H1_1 || (E1_1 == B3_1)) && ((!H1_1) || (E1_1 == E_1))
               && (H1_1 || (Y_1 == E3_1)) && ((!H1_1) || (Y_1 == I1_1))
               && (A1_1 || (G1_1 == F1_1)) && ((!A1_1) || (F1_1 == B_1))
               && (A1_1 || (E1_1 == D1_1)) && ((!A1_1) || (D1_1 == C1_1))
               && (A1_1 || (Y_1 == W_1)) && ((!A1_1) || (W_1 == B1_1))
               && ((1 <= T_1) == X1_1)))
              abort ();
          state_0 = M2_1;
          state_1 = U2_1;
          state_2 = Z2_1;
          state_3 = W2_1;
          state_4 = K1_1;
          state_5 = L2_1;
          state_6 = D2_1;
          state_7 = T2_1;
          state_8 = J2_1;
          state_9 = R2_1;
          state_10 = H2_1;
          state_11 = Q2_1;
          state_12 = F2_1;
          state_13 = P2_1;
          state_14 = Y2_1;
          state_15 = P1_1;
          state_16 = B2_1;
          state_17 = X2_1;
          state_18 = N1_1;
          state_19 = A2_1;
          state_20 = V2_1;
          state_21 = W1_1;
          state_22 = J1_1;
          state_23 = I2_1;
          state_24 = C2_1;
          state_25 = G2_1;
          state_26 = Z1_1;
          state_27 = E2_1;
          state_28 = U1_1;
          state_29 = O2_1;
          state_30 = S2_1;
          state_31 = S1_1;
          state_32 = R1_1;
          state_33 = Q1_1;
          state_34 = T1_1;
          state_35 = N2_1;
          state_36 = K2_1;
          state_37 = M1_1;
          state_38 = Y1_1;
          state_39 = O1_1;
          state_40 = X1_1;
          state_41 = V1_1;
          state_42 = L1_1;
          goto state_0;

      default:
          abort ();
      }

    // return expression

}

